[package]
name = "bone-app"
version.workspace = true
edition.workspace = true
license.workspace = true
rust-version.workspace = true

[dependencies]
bone-types = { workspace = true }
bone-document = { workspace = true }
bone-render = { workspace = true }
bone-text = { workspace = true }
bone-ui = { workspace = true }
swash = { workspace = true }
wgpu = { workspace = true }

pollster = { workspace = true }
ron = { workspace = true }
serde = { workspace = true }
thiserror = { workspace = true }
tracing = { workspace = true }
tracing-subscriber = { workspace = true }
uom = { workspace = true }
winit = { workspace = true }

[dev-dependencies]
accesskit = { workspace = true }
insta = { workspace = true }

[target.'cfg(target_os = "linux")'.dependencies]
ashpd = { workspace = true }
percent-encoding = { workspace = true }

[lints]
workspace = true
